API DocumentationAddresses

Create a new address

Creates a new address using the provided details

POST
/api/manufacturer/v1/address/create
AuthorizationBearer <token>

In: header

street1string
street2string
citystring
statestring
countrystring
jurisdictionIsoCode?string
zipstring
namestring
companystring
phonestring
emailstring
residentialboolean
organisationIdinteger
Formatint64

Response Body

curl -X POST "http://m-api-dev.phas.io/api/manufacturer/v1/address/create" \  -H "Content-Type: application/json" \  -d '{    "street1": "string",    "street2": "string",    "city": "string",    "state": "string",    "country": "string",    "zip": "string",    "name": "string",    "company": "string",    "phone": "string",    "email": "string",    "residential": true,    "organisationId": 0  }'
{
  "addressId": 0,
  "isBillingAddress": true,
  "street1": "string",
  "street2": "string",
  "city": "string",
  "state": "string",
  "country": "string",
  "countryAlpha2Code": "string",
  "countryAlpha3Code": "string",
  "jurisdictionIsoCode": "string",
  "zip": "string",
  "name": "string",
  "company": "string",
  "phone": "string",
  "email": "string",
  "residential": true,
  "addressType": "string",
  "isDeleted": true
}
Empty

Last updated on